opgpcard-admin-import(1)

NAME
opgpcard-admin-import - Import a Key onto the card

SYNOPSIS
opgpcard-admin-import [-s|--sig-fp] [-d|--dec-fp] [-a|--aut-fp] [-h|--help] <KEYFILE>

DESCRIPTION
Import a Key onto the card.

Most keys can be imported without specifying subkey fingerprints. However, if the key contins more than one signing, decryption or authentication capable subkey, subkeys must be explicitly selected.

If any of the options is given, only the selected subkeys are imported into the selected slots.

Subkey capabilities must match the slot the key is imported into. The DEC slot can only be used for encryption capable subkeys. The SIG and AUT slots can be used for signing, certification and authentication capable subkeys.

OPTIONS

-s, --sig-fp=SIG subkey fingerprint
    Optionally, select the subkey to import in the SIG slot

-d, --dec-fp=DEC subkey fingerprint
    Optionally, select the subkey to import in the DEC slot

-a, --aut-fp=AUT subkey fingerprint
    Optionally, select the subkey to import in the AUT slot

-h, --help
    Print help (see a summary with '-h')

<KEYFILE>
    File that contains the PGP private key